GET /accounts
This retrieves a list of the user's connected calendar providers.
Accounts can be synchronized to their provider by calling [GET] /accounts/sync.
Endpoint
GET https://api.timekit.io/v2/accounts
Request examples
curlcurl -X GET \
-u doc.brown@timekit.io:nvHfRSlhvsnlg4rS7Wt28Ty47qdgegwSu3YK7hPW \
https://api.timekit.io/v2/accounts
Response examples
200
json{
"data": [
{
"provider": "google",
"provider_id": "doc.brown@timekit.io",
"last_sync": "2016-09-01 15:51:43",
"exception": null,
"error": null,
"error_at": null,
"created_at": "2016-09-01 15:51:43",
"updated_at": "2016-09-01 15:51:43",
},
{
"provider": "google",
"provider_id": "marty.mcfly@timekit.io",
"last_sync": "2015-03-17 15:51:43",
"exception": null,
"error": null,
"error_at": null,
"created_at": "2016-09-01 15:51:43",
"updated_at": "2016-09-01 15:51:43",
}
]
}
401
textInvalid credentials.